"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatKeys = void 0;
var uuid_1 = require("./uuid");
function formatKeys(oldInput) {
    var input = __assign({}, oldInput);
    if (input.pk && input.pk !== '@id' && input.pk.includes('@id')) {
        input.pk = input.pk.replace('@id', (0, uuid_1.uuid)());
    }
    if (input.pk && input.pk === '@id') {
        input.pk = (0, uuid_1.uuid)();
    }
    if (input.sk && input.sk !== '@id' && input.sk.includes('@id')) {
        input.sk = input.sk.replace('@id', (0, uuid_1.uuid)());
    }
    if (input.sk && input.sk === '@id') {
        input.sk = (0, uuid_1.uuid)();
    }
    return input;
}
exports.formatKeys = formatKeys;
